math/mpcomplex - The NetBSD Packages Collection

Multiprecision complex arithmetic library

MPC is a C library for the arithmetic of complex numbers with
arbitrarily high precision and correct rounding of the result.
It is built upon and follows the same principles as MPFR.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

devel/gmp devel/gmp math/mpfr math/mpfr devel/gmp math/mpfr

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfmpcomplex-1.1.0.tgz
NetBSD 8.0earmv7hfmpcomplex-1.1.0.tgz
NetBSD 8.0earmv7hfmpcomplex-1.1.0.tgz
NetBSD 8.0i386mpcomplex-1.1.0.tgz
NetBSD 8.0i386mpcomplex-1.1.0.tgz
NetBSD 8.0i386mpcomplex-1.1.0.tgz
NetBSD 8.0powerpcmpcomplex-1.1.0.tgz
NetBSD 8.0powerpcmpcomplex-1.1.0.tgz
NetBSD 8.0powerpcmpcomplex-1.1.0.tgz
NetBSD 8.0x86_64mpcomplex-1.1.0.tgz
NetBSD 8.0x86_64mpcomplex-1.1.0.tgz
NetBSD 9.0aarch64mpcomplex-1.1.0.tgz
NetBSD 9.0aarch64mpcomplex-1.1.0.tgz
NetBSD 9.0aarch64mpcomplex-1.1.0.tgz
NetBSD 9.0alphampcomplex-1.1.0.tgz
NetBSD 9.0alphampcomplex-1.1.0.tgz
NetBSD 9.0alphampcomplex-1.1.0.tgz
NetBSD 9.0earmmpcomplex-1.1.0.tgz
NetBSD 9.0earmmpcomplex-1.1.0.tgz
NetBSD 9.0earmmpcomplex-1.1.0.tgz
NetBSD 9.0earmv6hfmpcomplex-1.1.0.tgz
NetBSD 9.0earmv6hfmpcomplex-1.1.0.tgz
NetBSD 9.0earmv6hfmpcomplex-1.1.0.tgz
NetBSD 9.0earmv6hfmpcomplex-1.1.0.tgz
NetBSD 9.0earmv7hfmpcomplex-1.1.0.tgz
NetBSD 9.0earmv7hfmpcomplex-1.1.0.tgz
NetBSD 9.0earmv7hfmpcomplex-1.1.0.tgz
NetBSD 9.0earmv7hfmpcomplex-1.1.0.tgz
NetBSD 9.0i386mpcomplex-1.1.0.tgz
NetBSD 9.0i386mpcomplex-1.1.0.tgz
NetBSD 9.0i386mpcomplex-1.1.0.tgz
NetBSD 9.0m68kmpcomplex-1.1.0.tgz
NetBSD 9.0m68kmpcomplex-1.1.0.tgz
NetBSD 9.0m68kmpcomplex-1.1.0.tgz
NetBSD 9.0mips64ebmpcomplex-1.1.0.tgz
NetBSD 9.0mips64ebmpcomplex-1.1.0.tgz
NetBSD 9.0mips64ebmpcomplex-1.1.0.tgz
NetBSD 9.0mipselmpcomplex-1.1.0.tgz
NetBSD 9.0mipselmpcomplex-1.1.0.tgz
NetBSD 9.0powerpcmpcomplex-1.1.0.tgz
NetBSD 9.0powerpcmpcomplex-1.1.0.tgz
NetBSD 9.0sh3elmpcomplex-1.1.0.tgz
NetBSD 9.0sh3elmpcomplex-1.1.0.tgz
NetBSD 9.0sh3elmpcomplex-1.1.0.tgz
NetBSD 9.0sparc64mpcomplex-1.1.0.tgz
NetBSD 9.0sparc64mpcomplex-1.1.0.tgz
NetBSD 9.0sparc64mpcomplex-1.1.0.tgz
NetBSD 9.0sparc64mpcomplex-1.1.0.tgz
NetBSD 9.0sparcmpcomplex-1.1.0.tgz
NetBSD 9.0sparcmpcomplex-1.1.0.tgz
NetBSD 9.0sparcmpcomplex-1.1.0.tgz
NetBSD 9.0vaxmpcomplex-1.1.0.tgz
NetBSD 9.0vaxmpcomplex-1.1.0.tgz
NetBSD 9.0x86_64mpcomplex-1.1.0.tgz
NetBSD 9.0x86_64mpcomplex-1.1.0.tgz
NetBSD 9.0x86_64mpcomplex-1.1.0.tgz
NetBSD 9.0x86_64mpcomplex-1.1.0.tgz
NetBSD 9.0x86_64mpcomplex-1.1.0.tgz
NetBSD 9.0x86_64mpcomplex-1.1.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.